# ApplicationFramework
TKCDF
CDM

# CDM_DataMapNodeOfMetaDataLookUpTable Class Reference

`#include <CDM_DataMapNodeOfMetaDataLookUpTable.hxx>`

## Public Member Functions

| CDM_DataMapNodeOfMetaDataLookUpTable (const TCollection_ExtendedString &K, const Handle(CDM_MetaData)&I, const TCollection_MapNodePtr &n)
TCollection_ExtendedString & | Key () const
Handle_CDM_MetaData & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_ExtendedString | myKey
Handle_CDM_MetaData | myValue

## Constructor & Destructor Documentation

CDM_DataMapNodeOfMetaDataLookUpTable::CDM_DataMapNodeOfMetaDataLookUpTable | ( | const TCollection_ExtendedString & | K,
|  | const Handle(CDM_MetaData)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const CDM_DataMapNodeOfMetaDataLookUpTable::Handle | ( | Standard_Type |  | ) | const

TCollection_ExtendedString& CDM_DataMapNodeOfMetaDataLookUpTable::Key | ( |  | ) | const

Handle_CDM_MetaData& CDM_DataMapNodeOfMetaDataLookUpTable::Value | ( |  | ) | const

## Field Documentation

TCollection_ExtendedString CDM_DataMapNodeOfMetaDataLookUpTable::myKey `[private]`

Handle_CDM_MetaData CDM_DataMapNodeOfMetaDataLookUpTable::myValue `[private]`

The documentation for this class was generated from the following file:

- CDM_DataMapNodeOfMetaDataLookUpTable.hxx